<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/icon_options/init.jsp" %>

<%
List<PortletConfigurationIcon> portletConfigurationIcons = (List<PortletConfigurationIcon>)request.getAttribute("liferay-frontend:icon-options:portletConfigurationIcons");
%>

<clay:dropdown-menu
	borderless="<%= true %>"
	cssClass="component-action text-white"
	displayType="secondary"
	dropdownItems='<%= (List<DropdownItem>)request.getAttribute("liferay-frontend:icon-options:dropdownItems") %>'
	icon="ellipsis-v"
	monospaced='<%= (boolean)request.getAttribute("liferay-frontend:icon-options:monospaced") %>'
	propsTransformer="icon_options/js/PortletOptionsDropdownPropsTransformer"
	small="<%= true %>"
/>

<%
for (PortletConfigurationIcon portletConfigurationIcon : portletConfigurationIcons) {
	portletConfigurationIcon.include(request, PipingServletResponseFactory.createPipingServletResponse(pageContext));
}
%>